Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema.content
Class SQLFunctionCall

    java.lang.Object
      org.deegree.io.datastore.schema.content.VirtualContent
          org.deegree.io.datastore.schema.content.FunctionCall
              org.deegree.io.datastore.schema.content.SQLFunctionCall

All Implemented Interfaces:
  SimpleContent

    public class SQLFunctionCall

extends FunctionCall

Content class for `MappedSimplePropertyType`s that describes a call to a function provided by an SQL database.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`SQLFunctionCall(String callString, int typeCode, FunctionParam... params)` Initializes a newly created `SQLFunctionCall` with the given call string and `FunctionParam`s.
`SQLFunctionCall(String callString, int typeCode, List<FunctionParam> params)` Initializes a newly created `SQLFunctionCall` with the given call string and `FunctionParam`s.

Method Summary
`String` | `getCall()` Returns the call string with placeholders ($1,$2,...
`int` | `getTypeCode()` Returns the SQL type code of the function call's return value.
`int[]` | `getUsedVars()` Returns all variable numbers used in the call string.
`boolean` | `isSortable()` Returns true, because the result of an SQL function call is (in general) suitable as a sort criterion.
`String` | `toString()`

Methods inherited from class org.deegree.io.datastore.schema.content.FunctionCall
`getParams`

Methods inherited from class org.deegree.io.datastore.schema.content.VirtualContent
`isUpdateable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLFunctionCall

    public SQLFunctionCall(String callString,
                           int typeCode,
                           List<FunctionParam> params)

  Initializes a newly created `SQLFunctionCall` with the given call string and `FunctionParam`s.

  Parameters:
    `callString` - call string with placeholders ($1,$2,...,$n)
    `typeCode` - SQL type code of the return value
    `params` - parameters to be used for the placeholders

### SQLFunctionCall

    public SQLFunctionCall(String callString,
                           int typeCode,
                           FunctionParam... params)

  Initializes a newly created `SQLFunctionCall` with the given call string and `FunctionParam`s.

  Parameters:
    `callString` - call string with placeholders ($1,$2,...,$n)
    `typeCode` - SQL type code of the return value
    `params` - parameters to be used for the placeholders

Method Detail

### isSortable

    public boolean isSortable()

  Returns true, because the result of an SQL function call is (in general) suitable as a sort criterion.

  Returns:
    true, because the result of an SQL function call is (in general) suitable as a sort criterion

### getCall

    public String getCall()

  Returns the call string with placeholders ($1,$2,...,$n) for the `FunctionParam`s.

  Returns:
    the call string with placeholders ($1,$2,...,$n)

### getTypeCode

    public int getTypeCode()

  Returns the SQL type code of the function call's return value.

  Returns:
    the SQL type code of the function call's return value.

### getUsedVars

    public int[] getUsedVars()

  Returns all variable numbers used in the call string.

  Returns:
    all variable numbers used in the call string

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org